Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs	(revision 51)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs	(revision 52)
@@ -707,99 +976,243 @@
         }
         #endregion
 
-        #region 担当者コンボボックスデータセット
+        #region 担当者コンボボックスに対象があるかをチェックする
         /// <summary>
-        /// 担当者コンボボックスへ文字をセットする
+        /// 担当者コンボボックスに対象があるかをチェックする
         /// </summary>
-        private void SetcombBoxPerson()
+        /// <param name="PersonCode"></param>
+        /// <returns></returns>
+        private bool SearchPersonCombBoxItem(int PersonCode)
         {
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
             try
             {
-                // 担当者マスタを検索する
-                //string strSQL = string.Format(" WHERE EMPLOYEECLASSFLG = {0} AND DELETEFLG = 0", (int)CommonDefine.EmployeeClassFlg.Regular);
-                string strSQL = " WHERE DELETEFLG = 0";
+                bool bRet = false;
+                for (int i = 0; i < cmbConstructionPerson.Items.Count; i++)
+                {
+                    KeyValuePair<int, string> wrkPair = (KeyValuePair<int, string>)cmbConstructionPerson.Items[i];
+                    if (wrkPair.Key == PersonCode)
+                    {
+                        bRet = true;
+                        break;
+                    }
+                }
 
-                // 所　属　長
-                int Superior = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key;
+                return bRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データ登録
+        /// <summary>
+        /// データ登録
+        /// </summary>
+        /// <returns></returns>
+        private bool DataEntryProcess()
+        {
+            try
+            {
+                // データチェック
+                if (!DispFeildCheck()) return false;
+
+                if (MessageBox.Show("出勤日報データを登録します、よろしいですか？", "登録確認"
+                        , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return true;
+
+                // 登録処理
+                if (!EntryData()) return false;
+                
+                // データ変更フラグOFF
+                m_bChengeAns = false;
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 画面項目のチェック
+        /// <summary>
+        /// 画面項目のチェック
+        /// </summary>
+        /// <returns></returns>
+        private bool DispFeildCheck()
+        {
+            bool bRet = true;
+            try
+            {
+                bool bSelFlg = false;
                 // 一般ユーザー
-                int User = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;
-                if (CommonMotions.LoginUserData.SecurityManagement == Superior)
+                int User = CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key;
+                if (CommonMotions.LoginUserSecurity.SecRank != User) bSelFlg = true;
+
+                if (bSelFlg)
                 {
-                    // 所属長（所属内のみ）
-                    strSQL += string.Format(" AND DEPARTMENTCODE = {0}", CommonMotions.LoginUserData.DepartmentCode);
+                    if (CommonMotions.cnvInt(cmbConstructionPerson.SelectedValue) == 0)
+                    {
+                        MessageBox.Show("担当者を選択してください。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
                 }
-                else if (CommonMotions.LoginUserData.SecurityManagement == User)
+
+                DataGridView dgv = dgvAllDisplay;
+                // グリッドの行分処理を行う
+                foreach (DataGridViewRow wrkRow in dgv.Rows)
                 {
-                    // 一般ユーザーは担当者を選択できない
-                    return;
+                    // 背景色変更（正常色）
+                    CommonMotions.chgBackColor(wrkRow.Cells[(int)GridColumn01.OverTimes], true);
+                    CommonMotions.chgBackColor(wrkRow.Cells[(int)GridColumn01.Comment], true);
+
+                    // 残業時間
+                    if (!CommonMotions.chkNumeric(wrkRow.Cells[(int)GridColumn01.OverTimes].Value))
+                    {
+                        // 背景色変更
+                        CommonMotions.chgBackColor(wrkRow.Cells[(int)GridColumn01.OverTimes], false);
+                        bRet = false;
+                    }
+
+                    // 備考レングス
+                    if (CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn01.Comment].Value).Length > 120)
+                    {
+                        // 背景色変更
+                        CommonMotions.chgBackColor(wrkRow.Cells[(int)GridColumn01.Comment], false);
+                        bRet = false;
+                    }
                 }
-                else
+
+                if (!bRet)
                 {
-                    if (CommonMotions.cnvInt(cmbDepartment.SelectedValue) != 0)
-                        strSQL += string.Format(" AND DEPARTMENTCODE = {0}", CommonMotions.cnvInt(cmbDepartment.SelectedValue));
+                    MessageBox.Show("入力項目にエラーがあります。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                 }
 
-                // 担当者マスタ読込
-                strSQL += " ORDER BY EMPLOYEECLASSFLG ASC, DISPLAYORDER ASC";
-                List<PersonInChargeMaster> workList = new List<PersonInChargeMaster>(); ;
-                if (!picDB.SelectAction(strSQL, ref workList)) return;
+                return bRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
 
-                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
-                // データ表示
-                foreach (PersonInChargeMaster wrk in workList)
+        #region データ登録処理
+        /// <summary>
+        /// データ登録処理
+        /// </summary>
+        private bool EntryData()
+        {
+            IOAttendanceDailyData AttendanceDB = new IOAttendanceDailyData();
+            IOTranceportDailyData TranceportDB = new IOTranceportDailyData();
+            try
+            {
+
+                // 一括処理を行う
+                AttendanceDB.connect(); AttendanceDB.beginTran();
+                TranceportDB.connect(); TranceportDB.beginTran();
+
+                // 出勤日報データ登録
+                if (!EntAttendanceDailyData(AttendanceDB))
                 {
-                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(wrk.PersonCode, wrk.PersonName);
-                    DataList.Add(keyval);
+                    AttendanceDB.rollback();
+                    return false;
                 }
+                if (!EntTraceportDailyData(TranceportDB))
+                {
+                    AttendanceDB.rollback();
+                    TranceportDB.rollback();
+                    return false;
+                }
 
-                // コンボボックス初期表示
-                ComboBoxAction.InitDataSetCombBox(cmbConstructionPerson, DataList);
-
-                //// 新セキュリティデータ対応済みかを確認する
-                //if (CommonMotions.LoginUserData.SecCode == 0)
-                //{
-                //    // 一般ユーザーで総務部所属者ではない場合、ログイン者のコードをセットする
-                //    if (CommonMotions.LoginUserData.SecurityManagement != CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key &&
-                //        CommonMotions.LoginUserData.DepartmentCode != CommonDefine.s_GeneralAffairsDevision)
-                //    {
-                //        cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
-                //    }
-                //}
+                return true;
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
             }
             finally
             {
-                picDB.close(); picDB = null;
+                AttendanceDB.commit();
+                TranceportDB.commit();
+
+                AttendanceDB.close(); AttendanceDB = null;
+                TranceportDB.close(); TranceportDB = null;
             }
         }
         #endregion
 
-        #region 担当者コンボボックスに対象があるかをチェックする
+        #region 出勤日報データ登録
         /// <summary>
-        /// 担当者コンボボックスに対象があるかをチェックする
+        /// 出勤日報データ登録
         /// </summary>
-        /// <param name="PersonCode"></param>
+        /// <param name="AttendanceDB"></param>
         /// <returns></returns>
-        private bool SearchPersonCombBoxItem(int PersonCode)
+        private bool EntAttendanceDailyData(IOAttendanceDailyData AttendanceDB)
         {
             try
             {
-                bool bRet = false;
-                for (int i = 0; i < cmbConstructionPerson.Items.Count; i++)
+                // 対象月を取得する
+                string TargetMonth = GetTargetMonth();
+
+                // 担当者コンボボックス値取得
+                int PersonCode = GetConstructionPersonCode();
+
+                // まず削除する
+                string strSQL = string.Format(" WHERE PersonCode = {0}", PersonCode);
+                strSQL += string.Format(" AND TO_CHAR(ATTENDANCEDATE,'YYYY/MM') = '{0}'", TargetMonth);
+                AttendanceDB.DeleteAction(strSQL, false);
+
+                // グリッド取得
+                DataGridView dgv = dgvAllDisplay;
+
+                // グリッドの行分処理を行う
+                int LineCnt = 1;
+                int ConstrCode = 0;
+                double OverTimes = 0;
+                string strComment = string.Empty;
+                DateTime AttendanceDate = DateTime.Now;
+                DateTime BreakDate = DateTime.MinValue;
+                foreach (DataGridViewRow wrkRow in dgv.Rows)
                 {
-                    KeyValuePair<int, string> wrkPair = (KeyValuePair<int, string>)cmbConstructionPerson.Items[i];
-                    if (wrkPair.Key == PersonCode)
+                    ConstrCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn01.ConstructionCode].Value);
+                    OverTimes = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn01.OverTimes].Value);
+                    strComment = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn01.Comment].Value);
+                    AttendanceDate = CommonMotions.cnvDate(wrkRow.Cells[(int)GridColumn01.AttendanceDate].Value);
+                    // 空白行は処理しない
+                    if (ConstrCode == 0 && OverTimes == 0 && strComment.Length == 0) continue;
+
+                    // 日付が違えば行番号クリア
+                    if (AttendanceDate != BreakDate)
                     {
-                        bRet = true;
-                        break;
+                        BreakDate = AttendanceDate;
+                        LineCnt = 1;
                     }
+
+                    // データ編集
+                    AttendanceDailyData AttendanceRec = new AttendanceDailyData();
+                    AttendanceRec.PersonCode = PersonCode;
+                    AttendanceRec.AttendanceDate = AttendanceDate;
+                    AttendanceRec.SeqNo = LineCnt;
+                    AttendanceRec.ConstructionCode = ConstrCode;
+                    AttendanceRec.OvertimeHours = OverTimes;
+                    AttendanceRec.WorkingComment = strComment;
+
+                    if (!AttendanceDB.InsertAction(AttendanceRec, false))
+                    {
+                        MessageBox.Show("出勤日報データ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+                    LineCnt++;
                 }
 
-                return bRet;
+                return true;
             }
             catch (Exception ex)
             {
@@ -809,37 +1222,46 @@
         }
         #endregion
 
-        #region 担当者コンボボックスセット時部署をセットする
+        #region 出勤交通費データ登録
         /// <summary>
-        /// 担当者コンボボックスセット時部署をセットする
+        /// 出勤交通費データ登録
         /// </summary>
+        /// <param name="TranceportDB"></param>
         /// <returns></returns>
-        private bool SetPerosonToDepartment()
+        private bool EntTraceportDailyData(IOTranceportDailyData TranceportDB)
         {
-            IOMPersonInCharge PersonDB = new IOMPersonInCharge();
             try
             {
-                // コンボボックスより選択担当者を取得する
+                // 対象月を取得する
+                string TargetMonth = GetTargetMonth();
+
+                // 担当者コンボボックス値取得
                 int PersonCode = GetConstructionPersonCode();
-                if (PersonCode < 1) return false;
 
-                int DepartmentCode = CommonMotions.cnvInt(cmbDepartment.SelectedValue);
+                // まず削除する
+                string strSQL = string.Format(" WHERE PersonCode = {0}", PersonCode);
+                strSQL += string.Format(" AND TO_CHAR(ATTENDANCEDATE,'YYYY/MM') = '{0}'", TargetMonth);
+                TranceportDB.DeleteAction(strSQL, false);
 
-                string strSQL = PersonDB.CreatePrimarykeyString(PersonCode);
-                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
-                PersonDB.SelectAction(strSQL, ref PersonRec);
+                // グリッド取得
+                DataGridView dgv = dgvTransport01;
 
-                // 部署コンボボックスへ部署コードセット
-                if (PersonRec.DepartmentCode > 0 && DepartmentCode != PersonRec.DepartmentCode)
+                // グリッドの行分処理を行う
+                DateTime AttendanceDate = DateTime.Now;
+                double[] DistanceArrary = new double[3];
+                int[] FlgArrary = new int[6];
+                foreach (DataGridViewRow wrkRow in dgv.Rows)
                 {
-                    bool bSave = m_bInitFlg;
-                    m_bInitFlg = true;
-                    cmbDepartment.SelectedValue = PersonRec.DepartmentCode;
-                    SetcombBoxPerson();    // 担当者コンボボックス変更
-                    cmbConstructionPerson.SelectedValue = PersonCode;
-                    m_bInitFlg = bSave;
+                    if (!InsertTranceport(TranceportDB, PersonCode, wrkRow)) return false;
                 }
 
+                // グリッド取得
+                dgv = dgvTransport02;
+                foreach (DataGridViewRow wrkRow in dgv.Rows)
+                {
+                    if (!InsertTranceport(TranceportDB, PersonCode, wrkRow)) return false;
+                }
+
                 return true;
             }
             catch (Exception ex)
@@ -847,12 +1269,359 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return false;
             }
+        }
+        #endregion
+
+        #region 出勤交通費データ書込み
+        /// <summary>
+        /// 出勤交通費データ書込み
+        /// </summary>
+        /// <returns></returns>
+        private bool InsertTranceport(IOTranceportDailyData TranceportDB, int PersonCode, DataGridViewRow wrkRow)
+        {
+            try
+            {
+                // グリッドの行分処理を行う
+                DateTime AttendanceDate = DateTime.Now;
+                double[] DistanceArrary = new double[3];
+                int[] FlgArrary = new int[5];
+
+                Array.Clear(DistanceArrary, 0, 3);
+                Array.Clear(FlgArrary, 0, 5);
+
+                DistanceArrary[0] = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn02.StartNumber].Value);
+                DistanceArrary[1] = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn02.CompNumber].Value);
+                DistanceArrary[2] = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn02.TotalDistance].Value);
+                AttendanceDate = CommonMotions.cnvDate(wrkRow.Cells[(int)GridColumn02.AttendanceDate].Value);
+
+                if (wrkRow.Cells[(int)GridColumn02.OfficeGo].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.OfficeGo].Value) FlgArrary[0] = 1;
+                if (wrkRow.Cells[(int)GridColumn02.OfficeOut].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.OfficeOut].Value) FlgArrary[1] = 1;
+                if (wrkRow.Cells[(int)GridColumn02.TrancePayGo].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.TrancePayGo].Value) FlgArrary[2] = 1;
+                if (wrkRow.Cells[(int)GridColumn02.TrancePayOut].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.TrancePayOut].Value) FlgArrary[3] = 1;
+                if (wrkRow.Cells[(int)GridColumn02.WareHouse].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.WareHouse].Value) FlgArrary[4] = 1;
+
+                // 空白行は処理しない
+                if (AttendanceDate == DateTime.MinValue) return true;
+                if (DistanceArrary[0] == 0 && DistanceArrary[1] == 0 && DistanceArrary[2] == 0
+                    && FlgArrary[0] == 0 && FlgArrary[1] == 0 && FlgArrary[2] == 0
+                    && FlgArrary[3] == 0 && FlgArrary[4] == 0) return true;
+
+                // データ編集
+                TranceportDailyData TranceportRec = new TranceportDailyData();
+                TranceportRec.PersonCode = PersonCode;
+                TranceportRec.AttendanceDate = AttendanceDate;
+                TranceportRec.StartDistance = DistanceArrary[0];
+                TranceportRec.ComplateDistance = DistanceArrary[1];
+                TranceportRec.TotalDistance = DistanceArrary[2];
+                TranceportRec.OfficeGoFlg = FlgArrary[0];
+                TranceportRec.OfficeOutFlg = FlgArrary[1];
+                TranceportRec.TrancePayGoFlg = FlgArrary[2];
+                TranceportRec.TrancePayOutFlg = FlgArrary[3];
+                TranceportRec.WareHouseFlg = FlgArrary[4];
+
+                if (!TranceportDB.InsertAction(TranceportRec, false))
+                {
+                    MessageBox.Show("出勤交通費データ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データ削除処理
+        /// <summary>
+        /// データ削除処理
+        /// </summary>
+        private bool RemoveGridData()
+        {
+            IOAttendanceDailyData AttendanceDB = new IOAttendanceDailyData();
+            IOTranceportDailyData TranceportDB = new IOTranceportDailyData();
+            try
+            {
+                // 対象月を取得する
+                string TargetMonth = GetTargetMonth();
+
+                // 担当者コンボボックス値取得
+                int PersonCode = GetConstructionPersonCode();
+
+                // 一括処理を行う
+                AttendanceDB.connect(); AttendanceDB.beginTran();
+                TranceportDB.connect(); TranceportDB.beginTran();
+
+                // 削除する
+                string strSQL = string.Format(" WHERE PersonCode = {0}", PersonCode);
+                strSQL += string.Format(" AND TO_CHAR(AttendanceDate,'YYYY/MM') = '{0}'", TargetMonth);
+                AttendanceDB.DeleteAction(strSQL, false);
+
+                // 削除する
+                TranceportDB.DeleteAction(strSQL, false);
+
+                // データ変更フラグOFF
+                m_bChengeAns = false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
             finally
             {
-                PersonDB.close(); PersonDB = null;
+                AttendanceDB.commit();
+                TranceportDB.commit();
+
+                AttendanceDB.close(); AttendanceDB = null;
+                TranceportDB.close(); TranceportDB = null;
             }
         }
         #endregion
 
+        #region 工事名称選択
+        /// <summary>
+        /// 工事名称選択
+        /// </summary>
+        /// <param name="RowCnt"></param>
+        private void SetConstruction(int RowCnt)
+        {
+            FrmConstructionDiag frm = new FrmConstructionDiag();
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+                DataGridViewRow dgvRow = dgv.Rows[RowCnt];
+
+                // グリッドがREADONLYは処理しない
+                if (dgv.ReadOnly) return;
+
+                // 担当者コンボボックス値取得
+                int PersonCode = GetConstructionPersonCode();
+                if (PersonCode == 0) return;
+
+                // 工事担当者検索
+                frm.PersonCharge = (int)FrmConstructionDiag.PersonChargePoint.Construction;
+                frm.PersonCode = PersonCode;
+                frm.ProcessNo = (int)ClsExcute.ProcessExecuteNo.TAndPCosts;
+
+                frm.ShowDialog();
+                // 終了コード確認
+                if (frm.EndButton == DialogResult.No) return;
+
+                // 工事コードセット
+                dgvRow.Cells[(int)GridColumn01.ConstructionCode].Value = frm.ConstructionCode;
+                // 工事名称セット
+                dgvRow.Cells[(int)GridColumn01.ConstructionName].Value = frm.ConstructionName;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 出勤日数・残業時間のセット
+        /// <summary>
+        /// 出勤日数・残業時間のセット
+        /// </summary>
+        private void SetWorkDaysAndOverTimes()
+        {
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+                if (dgv.RowCount == 0) return;
+
+                int WorkingCnt = 0;
+                int ConstrCode = 0;
+                double OverTimes = 0;
+                double SumOverTimes = 0;
+                string strComment = string.Empty;
+                DateTime AttendanceDate = DateTime.Now;
+                DateTime BreakDate = DateTime.MinValue;
+
+                // グリッドの行分処理を行う
+                foreach (DataGridViewRow wrkRow in dgv.Rows)
+                {
+                    SumOverTimes += CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn01.OverTimes].Value);
+
+                    ConstrCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn01.ConstructionCode].Value);
+                    OverTimes = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn01.OverTimes].Value);
+                    strComment = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn01.Comment].Value);
+                    AttendanceDate = CommonMotions.cnvDate(wrkRow.Cells[(int)GridColumn01.AttendanceDate].Value);
+                    if (ConstrCode == 0 && OverTimes == 0 && strComment.Length == 0)
+                    {
+
+                    }
+                    else
+                    {
+                        // 日付が違えばチェック対象
+                        if (AttendanceDate != BreakDate)
+                        {
+                            BreakDate = AttendanceDate;
+                            WorkingCnt++;
+                        }
+                    }
+                }
+                m_DspControl[(int)DspCtrlName.Overtime].Text = SumOverTimes.ToString("0.0");
+                //m_DspControl[(int)DspCtrlName.WorkingDays].Text = WorkingCnt.ToString("0");
+                m_DspControl[(int)DspCtrlName.WorkingDays].Text = (m_LastDays - m_HolidayCount).ToString("0");
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 交通費グリッド距離・回数計算
+        /// <summary>
+        /// 交通費グリッド距離・回数計算
+        /// </summary>
+        private void SetDistanceAndcount()
+        {
+            try
+            {
+                if (dgvTransport01.RowCount < 1 && dgvTransport02.RowCount < 1) return;
+                
+                m_DspControl[(int)DspCtrlName.KmTodayTotal].Text = "0.0";
+                m_DspControl[(int)DspCtrlName.OfficeTodayCnt01].Text = "0";
+                m_DspControl[(int)DspCtrlName.OfficeTodayCnt02].Text = "0";
+                m_DspControl[(int)DspCtrlName.TrancePayCnt01].Text = "0";
+                m_DspControl[(int)DspCtrlName.TrancePayCnt02].Text = "0";
+                m_DspControl[(int)DspCtrlName.WarehouseTodayCnt01].Text = "0";
+
+                // グリッドの行分処理を行う
+                DataGridView dgv = dgvTransport01;
+                foreach (DataGridViewRow wrkRow in dgv.Rows)
+                {
+                    SetDistanceAndcount2(wrkRow);
+                }
+                dgv = dgvTransport02;
+                foreach (DataGridViewRow wrkRow in dgv.Rows)
+                {
+                    SetDistanceAndcount2(wrkRow);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 交通費グリッド距離・回数加算処理
+        /// <summary>
+        /// 交通費グリッド距離・回数加算処理
+        /// </summary>
+        /// <param name="wrkRow"></param>
+        private void SetDistanceAndcount2(DataGridViewRow wrkRow)
+        {
+            try
+            {
+                double Distance = 0;
+                int[] FlgArrary = new int[5];
+
+                // 現在値取得
+                Distance = CommonMotions.cnvDouble(m_DspControl[(int)DspCtrlName.KmTodayTotal].Text);
+                FlgArrary[0] = CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.OfficeTodayCnt01].Text);
+                FlgArrary[1] = CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.OfficeTodayCnt02].Text);
+                FlgArrary[2] = CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.TrancePayCnt01].Text);
+                FlgArrary[3] = CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.TrancePayCnt02].Text);
+                FlgArrary[4] = CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.WarehouseTodayCnt01].Text);
+
+                // 加算処理
+                Distance += CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn02.TotalDistance].Value);
+                if (wrkRow.Cells[(int)GridColumn02.OfficeGo].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.OfficeGo].Value) FlgArrary[0]++;
+                if (wrkRow.Cells[(int)GridColumn02.OfficeOut].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.OfficeOut].Value) FlgArrary[1]++;
+                if (wrkRow.Cells[(int)GridColumn02.TrancePayGo].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.TrancePayGo].Value) FlgArrary[2]++;
+                if (wrkRow.Cells[(int)GridColumn02.TrancePayOut].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.TrancePayOut].Value) FlgArrary[3]++;
+                if (wrkRow.Cells[(int)GridColumn02.WareHouse].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.WareHouse].Value) FlgArrary[4]++;
+
+                // 計算値セット
+                m_DspControl[(int)DspCtrlName.KmTodayTotal].Text = Distance.ToString("0.0");
+                m_DspControl[(int)DspCtrlName.OfficeTodayCnt01].Text = FlgArrary[0].ToString();
+                m_DspControl[(int)DspCtrlName.OfficeTodayCnt02].Text = FlgArrary[1].ToString();
+                m_DspControl[(int)DspCtrlName.TrancePayCnt01].Text = FlgArrary[2].ToString();
+                m_DspControl[(int)DspCtrlName.TrancePayCnt02].Text = FlgArrary[3].ToString();
+                m_DspControl[(int)DspCtrlName.WarehouseTodayCnt01].Text = FlgArrary[4].ToString();
+
+                // ①
+                m_DspControl[(int)DspCtrlName.KmMonthTotal01].Text = Distance.ToString("0.0");
+                m_DspControl[(int)DspCtrlName.UnitPrice01].Text = m_FuelCost.ToString();
+                m_DspControl[(int)DspCtrlName.MonthTotal01].Text = CommonMotions.cnvRound(Distance * m_FuelCost).ToString();
+                // ②
+                m_DspControl[(int)DspCtrlName.KmMonthTotal02].Text = m_MyOfficeDistance.ToString("0.0");
+                m_DspControl[(int)DspCtrlName.UnitPrice02].Text = m_FuelCost.ToString();
+                m_DspControl[(int)DspCtrlName.MonthCnt01].Text = (FlgArrary[0] + FlgArrary[1]).ToString();
+                m_DspControl[(int)DspCtrlName.MonthTotal02].Text = CommonMotions.cnvRound((m_MyOfficeDistance * m_FuelCost) * (FlgArrary[0] + FlgArrary[1])).ToString();
+                // ③
+                m_DspControl[(int)DspCtrlName.KmMonthTotal03].Text = m_MyWareHouseDistance.ToString("0.0");
+                m_DspControl[(int)DspCtrlName.UnitPrice03].Text = m_FuelCost.ToString();
+                m_DspControl[(int)DspCtrlName.MonthCnt02].Text = FlgArrary[4].ToString();
+                m_DspControl[(int)DspCtrlName.MonthTotal03].Text = CommonMotions.cnvRound((m_MyWareHouseDistance * m_FuelCost) * FlgArrary[4]).ToString();
+                // ④
+                m_DspControl[(int)DspCtrlName.UnitPrice04].Text = m_MyTransportCosts.ToString();
+                m_DspControl[(int)DspCtrlName.MonthCnt03].Text = (FlgArrary[2] + FlgArrary[3]).ToString();
+                m_DspControl[(int)DspCtrlName.MonthTotal04].Text = CommonMotions.cnvRound(m_MyTransportCosts * (FlgArrary[2] + FlgArrary[3])).ToString();
+                // 合計
+                m_DspControl[(int)DspCtrlName.MonthTotal05].Text = (CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.MonthTotal01].Text)
+                                                                    + CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.MonthTotal02].Text)
+                                                                    + CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.MonthTotal03].Text)
+                                                                    + CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.MonthTotal04].Text)).ToString();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 作成確認画面表示
+        /// <summary>
+        /// 作成確認画面表示
+        /// </summary>
+        private void DispReportListControl()
+        {
+            try
+            {
+                // 日報作成確認画面表示
+                m_frmDRWorkList = new FrmDRWorkList();
+                m_frmDRWorkList.ReportDate = GetTargetMonth();
+                // 位置設定
+                m_frmDRWorkList.LocationPoint = new Point(this.Left, this.Top);
+
+                // タスクバーに表示しない
+                //m_frmNumberOfWorkers.ShowInTaskbar = false;
+
+                // クロースドハンドラをこちらで定義する
+                m_frmDRWorkList.FormClosed += new FormClosedEventHandler(FrmDRWorkList_FormClosed);
+                m_frmDRWorkList.Show();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
